tbb::flow::interface7::continue_node< Output > Class Template Reference

Implements an executable node that supports continue_msg -> Output. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface7::continue_node< Output >:

## Public Types

typedef continue_msg | input_type
typedef Output | output_type
typedef sender< input_type > | predecessor_type
typedef receiver< output_type > | successor_type
typedef internal::continue_input < Output > | fInput_type
typedef internal::function_output < output_type > | fOutput_type

## Public Member Functions

template<typename Body >
| continue_node (graph &g, Body body)
| Constructor for executable node with continue_msg -> Output.
template<typename Body >
| continue_node (graph &g, int number_of_predecessors, Body body)
| Constructor for executable node with continue_msg -> Output.
| continue_node (const continue_node &src)
| Copy constructor.
void | set_name (const char *name)
void | extract ()
Public Member Functions inherited from tbb::flow::interface7::graph_node
| graph_node (graph &g)

## Protected Member Functions

internal::broadcast_cache < output_type > & | successors ()
void | reset_node (__TBB_PFG_RESET_ARG(reset_flags f))
Protected Member Functions inherited from tbb::flow::interface7::graph_node
virtual void | reset_node (__TBB_PFG_RESET_ARG(reset_flags f=rf_reset_protocol))=0

## Friends

template<typename R , typename B >
class | run_and_put_task
template<typename X , typename Y >
class | internal::broadcast_cache
template<typename X , typename Y >
class | internal::round_robin_cache

## Additional Inherited Members

Protected Attributes inherited from tbb::flow::interface7::graph_node
graph & | my_graph
graph_node * | next
graph_node * | prev

## Detailed Description

### template<typename Output>
class tbb::flow::interface7::continue_node< Output >

Implements an executable node that supports continue_msg -> Output.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.